StarItemPoolInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | Private Member Functions | List of all members
StarItemPoolInternal::State Struct Reference

Internal: the state of a StarItemPool. More...

## Public Member Functions
| State (StarObject &document, StarItemPool::Type type)
| constructor More...
void | init (StarItemPool::Type type)
| initialize a pool More...
void | clean ()
| clean the state More...
void | setPoolName (librevenge::RVNGString const &name)
| set the pool name More...
int | isInRange (int which) const
| returns true if the value is in expected range More...
void | addVersionMap (uint16_t nVers, uint16_t nStart, std::vector< int > const &list)
| add a new version map More...
int | getWhich (int nFileWhich) const
| try to return ??? More...
State * | getPoolStateFor (int which)
| returns the state corresponding to which More...
Values * | getValues (int id, bool create=false)
| returns a pointer to the values data More...
std::shared_ptr< StarAttribute > | getDefaultAttribute (int which)
| try to return a default attribute corresponding to which More...

## Public Attributes
StarObject & | m_document
| the document More...
StarItemPool::Type | m_type
| the document type More...
int | m_majorVersion
| the majorVersion More...
int | m_minorVersion
| the minorVersion More...
int | m_loadingVersion
| the loading version More...
librevenge::RVNGString | m_name
| the name More...
bool | m_isSecondaryPool
| a flag to know if a pool is a secondary pool More...
std::shared_ptr< StarItemPool > | m_secondaryPool
| the secondary pool More...
int | m_currentVersion
| the current version More...
int | m_verStart
| the minimum version More...
int | m_verEnd
| the maximum version More...
std::vector< Version > | m_versionList
| the list of version More...
std::vector< int > | m_idToAttributeList
| list whichId to attribute list More...
std::map< int, Values > | m_slotIdToValuesMap
| a map slot to the attribute list More...
std::map< StyleId, StarItemStyle > | m_styleIdToStyleMap
| the set of style More...
std::map< librevenge::RVNGString, librevenge::RVNGString > | m_simplifyNameToStyleNameMap
| map simplify style name to style name More...
std::map< int, std::shared_ptr< StarAttribute > > | m_idToDefaultMap
| map of created default attribute More...
std::vector< std::shared_ptr< StarItem > > | m_delayedItemList
| list of item which need to be read More...

## Private Member Functions
| State (State const &orig)=delete
State | operator= (State const &orig)=delete

## Detailed Description

Internal: the state of a StarItemPool.

## Constructor & Destructor Documentation

## ◆ State() [1/2]

StarItemPoolInternal::State::State | ( | StarObject & | document,
|  | StarItemPool::Type | type
| ) |  |
| inline

constructor

## ◆ State() [2/2]

StarItemPoolInternal::State::State | ( | State const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ addVersionMap()

void StarItemPoolInternal::State::addVersionMap | ( | uint16_t | nVers,
|  | uint16_t | nStart,
|  | std::vector< int > const & | list
| ) |  |
| inline

add a new version map

Referenced by init().

## ◆ clean()

void StarItemPoolInternal::State::clean | ( |  | ) |
| inline

clean the state

## ◆ getDefaultAttribute()

std::shared_ptr<StarAttribute> StarItemPoolInternal::State::getDefaultAttribute | ( | int | which | ) |
| inline

try to return a default attribute corresponding to which

## ◆ getPoolStateFor()

State* StarItemPoolInternal::State::getPoolStateFor | ( | int | which | ) |
| inline

returns the state corresponding to which

Referenced by getDefaultAttribute().

## ◆ getValues()

Values* StarItemPoolInternal::State::getValues | ( | int | id,
|  | bool | create = `false`
| ) |  |
| inline

returns a pointer to the values data

## ◆ getWhich()

int StarItemPoolInternal::State::getWhich | ( | int | nFileWhich | ) | const
| inline

try to return ???

## ◆ init()

void StarItemPoolInternal::State::init | ( | StarItemPool::Type | type | ) |

initialize a pool

Referenced by setPoolName(), and State().

## ◆ isInRange()

int StarItemPoolInternal::State::isInRange | ( | int | which | ) | const
| inline

returns true if the value is in expected range

## ◆ operator=()

State StarItemPoolInternal::State::operator= | ( | State const & | orig | ) |
| privatedelete

## ◆ setPoolName()

void StarItemPoolInternal::State::setPoolName | ( | librevenge::RVNGString const & | name | ) |
| inline

set the pool name

## Member Data Documentation

## ◆ m_currentVersion

int StarItemPoolInternal::State::m_currentVersion

the current version

Referenced by addVersionMap(), getWhich(), and init().

## ◆ m_delayedItemList

std::vector<std::shared_ptr<StarItem> > StarItemPoolInternal::State::m_delayedItemList

list of item which need to be read

Referenced by clean().

## ◆ m_document

StarObject& StarItemPoolInternal::State::m_document

the document

Referenced by getDefaultAttribute().

## ◆ m_idToAttributeList

std::vector<int> StarItemPoolInternal::State::m_idToAttributeList

list whichId to attribute list

Referenced by clean(), and init().

## ◆ m_idToDefaultMap

std::map<int,std::shared_ptr<StarAttribute> > StarItemPoolInternal::State::m_idToDefaultMap

map of created default attribute

Referenced by clean(), and getDefaultAttribute().

## ◆ m_isSecondaryPool

bool StarItemPoolInternal::State::m_isSecondaryPool

a flag to know if a pool is a secondary pool

## ◆ m_loadingVersion

int StarItemPoolInternal::State::m_loadingVersion

the loading version

Referenced by getWhich().

## ◆ m_majorVersion

int StarItemPoolInternal::State::m_majorVersion

the majorVersion

## ◆ m_minorVersion

int StarItemPoolInternal::State::m_minorVersion

the minorVersion

## ◆ m_name

librevenge::RVNGString StarItemPoolInternal::State::m_name

the name

Referenced by setPoolName().

## ◆ m_secondaryPool

std::shared_ptr<StarItemPool> StarItemPoolInternal::State::m_secondaryPool

the secondary pool

Referenced by clean(), getPoolStateFor(), getWhich(), and isInRange().

## ◆ m_simplifyNameToStyleNameMap

std::map<librevenge::RVNGString, librevenge::RVNGString> StarItemPoolInternal::State::m_simplifyNameToStyleNameMap

map simplify style name to style name

Referenced by clean().

## ◆ m_slotIdToValuesMap

std::map<int, Values> StarItemPoolInternal::State::m_slotIdToValuesMap

a map slot to the attribute list

Referenced by clean(), and getValues().

## ◆ m_styleIdToStyleMap

std::map<StyleId,StarItemStyle> StarItemPoolInternal::State::m_styleIdToStyleMap

the set of style

Referenced by clean().

## ◆ m_type

StarItemPool::Type StarItemPoolInternal::State::m_type

the document type

Referenced by init().

## ◆ m_verEnd

int StarItemPoolInternal::State::m_verEnd

the maximum version

Referenced by addVersionMap(), getPoolStateFor(), getWhich(), init(), and isInRange().

## ◆ m_versionList

std::vector<Version> StarItemPoolInternal::State::m_versionList

the list of version

Referenced by addVersionMap(), clean(), getWhich(), and init().

## ◆ m_verStart

int StarItemPoolInternal::State::m_verStart

the minimum version

Referenced by addVersionMap(), getDefaultAttribute(), getPoolStateFor(), init(), and isInRange().

The documentation for this struct was generated from the following file:

- StarItemPool.cxx